using Controls;
using System;
using System.Collections.Generic;
using System.Text;

namespace Shapes
{
    internal class TextArea : Textbox, IShape
    {
    

        public TextArea(int x, int y, int w, int h) : base(x, y,w,h)
        {
        }

        public double GetArea() => GetWidth() * GetHeight();

        public string GetName() =>
            $"TextArea ({GetText()}), posX: {GetX()}, posY: {GetY()}, Area: {GetArea()}";
    }
}
